List matches (v2)
GET/v2/matches
const url = 'https://api.ligr.live/rest/v2/matches?sport=football&finishedStatus=finished&order=ASC&providerName=RB&limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ligr.live/rest/v2/matches?sport=football&finishedStatus=finished&order=ASC&providerName=RB&limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Return a list of matches for the organization.
Filter by sport, team, venue, competition, or finished status. Accepts the include query parameter with code s.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Filter by sport
Entity identifier
Filter by team
Entity identifier
Entity identifier
Filter by competition
Filter by finished status (a match will remain in pregame by default)
Date order
Start of search range
End of search result range (starting point if order = DESC)
Comma seperated string of entity abbreviations Allows optional population of nested entities s = streams e.g. ‘c,v,t,o,p,cp’
Only return entities from this data provider
Only return entities with these ids at the data provider. A comma-separated list of up to 100 ids. Needs providerName.
Limit the maximum number of matches to be returned
Start search from initial offset
Responses
Section titled “Responses”Ok
object
object
Entity identifier
Match name
Entity identifier
The liveStatus of the match as defined by the period
Entity identifier
object
The match format: singles, doubles, teams or group. It is one value for the match.
Each row in competitors has its own entityType. For example, a doubles match has
competitorsType: doubles and four entityType: player rows. A group match has player rows.
object
Entity identifier
object
Entity identifier
Example
{ "matches": [ { "sport": "football", "liveStatus": "live", "finishedStatus": "finished", "dataProvider": { "name": "RB" }, "competitorsType": "singles", "streams": [ { "destinations": [ { "type": "youtube" } ] } ] } ], "total": 24, "returned": 24}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Match not found
object
Examplegenerated
{ "message": "example"}Api key has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}